# $Revision: 1.36 $, $Date: 2012/07/08 09:14:36 $
Summary:	Formats the output of mail clients to a good-looking printing
Summary(pl.UTF-8):	Program formatujący wyjście klientów pocztowych w dobrze wyglądający wydruk
Name:		muttprint
Version:	0.73
Release:	1
License:	GPL v2+
Group:		Applications/Printing
Source0:	http://downloads.sourceforge.net/muttprint/%{name}-%{version}.tar.gz
# Source0-md5:	39b76058b838e3078df93236eda2c316
Source1:	%{name}-missing-files.tar.xz
# Source1-md5:	c3d4a8796b85445bc378233c6203e4f2
Patch0:		%{name}-docbook-fixes.patch
URL:		http://muttprint.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	docbook-utils
BuildRequires:	perl-tools-pod
BuildRequires:	tar >= 1:1.22
BuildRequires:	texlive-fonts-stmaryrd
BuildRequires:	texlive-latex-marvosym
BuildRequires:	xz
Requires:	perl-Text-Iconv
Requires:	psutils
Requires:	tetex-latex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Muttprint formats the output of mail clients to a good-looking
printing.

%description -l pl.UTF-8
Muttprint formatuje wyjście klientów pocztowych w dobrze wyglądający
wydruk.

%prep
%setup -q -a1
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
# doc/manual build races
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/muttprint

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES NEWS README README.{Gnus,Latex,translations} doc/manual/en/manual-en.html sample-muttprintrc-en
%lang(de) %doc doc/manual/de/manual-de.html sample-muttprintrc-de
%lang(es) %doc README.es doc/manual/es/manual-es.html sample-muttprintrc-es
%lang(fr) %doc sample-muttprintrc-fr
%lang(it) %doc doc/manual/it/manual-it.html sample-muttprintrc-it
%lang(nl) %doc sample-muttprintrc-nl
%lang(sl) %doc doc/manual/sl/manual-sl.html sample-muttprintrc-si
%attr(755,root,root) %{_bindir}/muttprint
%attr(755,root,root) %{_bindir}/muttprint-langinfo
%dir %{_datadir}/muttprint
%{_datadir}/muttprint/*.eps
%{_datadir}/muttprint/*.jpg
%{_datadir}/muttprint/*.png
%{_datadir}/muttprint/README.pics

%dir %{_datadir}/muttprint/translations
%lang(cs) %{_datadir}/muttprint/translations/translation-cs.pl
%lang(de) %{_datadir}/muttprint/translations/translation-de.pl
%lang(es) %{_datadir}/muttprint/translations/translation-es.pl
%lang(fi) %{_datadir}/muttprint/translations/translation-fi.pl
%lang(fr) %{_datadir}/muttprint/translations/translation-fr.pl
%lang(hu) %{_datadir}/muttprint/translations/translation-hu.pl
%lang(it) %{_datadir}/muttprint/translations/translation-it.pl
%lang(nl) %{_datadir}/muttprint/translations/translation-nl.pl
%lang(pl) %{_datadir}/muttprint/translations/translation-pl.pl
%lang(pt) %{_datadir}/muttprint/translations/translation-pt.pl
%lang(ru) %{_datadir}/muttprint/translations/translation-ru.pl
%lang(sl) %{_datadir}/muttprint/translations/translation-sl.pl
%lang(sv) %{_datadir}/muttprint/translations/translation-sv.pl
%{_datadir}/muttprint/translations/translation-example.pl

%{_mandir}/man1/muttprint.1*
%lang(de) %{_mandir}/de/man1/muttprint.1*
%lang(es) %{_mandir}/es/man1/muttprint.1*
%lang(it) %{_mandir}/it/man1/muttprint.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: muttprint.spec,v $
Revision 1.36  2012/07/08 09:14:36  qboosh
- try -j1

Revision 1.35  2012/07/08 09:05:02  qboosh
- updated to 0.73
- missing pictures added in muttprint-missing-files.tar.xz
- added docbook-fixes patch to fix doc build

Revision 1.34  2009/01/23 17:03:14  adamg
- reverted

Revision 1.33  2009/01/23 16:40:45  adamg
- updated to 1.7.5

Revision 1.32  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:49:09  baggins
- converted to UTF-8

Revision 1.30  2006/09/02 20:51:33  glen
- _defaultdocdir -> _docdir

Revision 1.29  2005/08/22 12:15:03  adamg
- reverted last commit

Revision 1.27  2005/06/21 19:05:22  czucz
- changed md5

Revision 1.26  2005/06/21 18:44:09  czucz
- reverted last change, my mistake

Revision 1.25  2005/06/21 17:51:21  czucz
- initial release

Revision 1.24  2004/12/26 17:11:02  adamg
- updated to 0.72c
- include %%{_bindir}/muttprint-langinfo

Revision 1.23  2004/11/09 14:52:21  adamg
- updated to 0.72b

Revision 1.22  2004/10/17 18:10:39  adamg
- Requires: perl-Text-Iconv

Revision 1.21  2004/04/07 20:42:03  adamg
- updated to 0.72a

Revision 1.20  2004/04/06 18:34:24  qboosh
- kill x86 binaries before build, pass optflags; release 2

Revision 1.19  2004/04/05 21:35:30  adamg
- Source0-md5 updated

Revision 1.18  2004/04/05 21:31:02  adamg
- updated to 0.72

Revision 1.17  2003/05/27 22:22:43  wiget
- up to 0.71

Revision 1.16  2003/05/25 05:50:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/05/05 09:48:33  qboosh
- missing dir, no %%doc for manuals (not needed)

Revision 1.14  2003/04/27 14:52:38  adamg
- updated to 0.70
- fixed file locations

Revision 1.13  2003/04/08 12:56:24  qboosh
- missing dir

Revision 1.12  2003/04/08 12:54:45  qboosh
- use http for sources from sourceforge

Revision 1.11  2002/12/30 09:24:29  wiget
- updated to 0.64

Revision 1.10  2002/12/11 18:08:08  wiget
- release 1

Revision 1.9  2002/12/11 18:07:49  wiget
- updated to 0.63a

Revision 1.8  2002/11/27 22:06:23  juandon
- new %%doc

Revision 1.7  2002/02/24 00:25:26  filon
- requires latex and psutils, rel 2

Revision 1.6  2002/02/23 23:08:49  filon
- updated to 0.61
- added many internationalized files and docs

Revision 1.5  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:59  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/11/07 00:14:02  filon
- updated to 0.53a
- added all files
- fixed install, and rest of spec

Revision 1.2  2001/10/01 14:37:18  qboosh
- updated URL, added descriptions and Source0 URL (note: 0.53a on ftp)

Revision 1.1  2001/07/31 19:15:36  wrobell
- created from template, nfy
